
SELinux - Bug #29882

Denial when clicking on Cockpit button

05/19/2020 03:07 PM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: General Foreman   

Target version: 2.1.0   

Difficulty: trivial Fixed in Releases: 2.1.0

Triaged: Yes Found in Releases:  

Bugzilla link: 1837960 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-s

elinux/pull/101

  

Description

Domains problem.

require {

        type foreman_rails_t;

        type candlepin_activemq_port_t;

        type cockpit_ws_t;

        class tcp_socket name_connect;

}

#============= cockpit_ws_t ==============

corenet_tcp_connect_http_port(cockpit_ws_t)

corenet_tcp_connect_websm_port(cockpit_ws_t)

kernel_read_system_state(cockpit_ws_t)

Associated revisions

Revision 59156f4a - 05/27/2020 09:03 AM - Lukáš Zapletal 

Fixes #29882 - allow cockpit connections (#101)

History

#1 - 05/20/2020 09:36 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman-selinux/pull/101 added

#2 - 05/20/2020 09:39 AM - Lukas Zapletal

- Category deleted (General Foreman)

- Assignee deleted (Lukas Zapletal)

- Triaged changed from No to Yes

- Bugzilla link set to 1837960

#3 - 05/27/2020 09:03 AM - The Foreman Bot

- Assignee set to Lukas Zapletal

#4 - 05/27/2020 09:03 AM - The Foreman Bot

- Fixed in Releases 2.2.0 added

#5 - 05/27/2020 10:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset 59156f4a590f603e19c4f7b376e982afa58c6d94.
https://projects.theforeman.org/projects/selinux/repository/19/revisions/59156f4a590f603e19c4f7b376e982afa58c6d94


#6 - 05/28/2020 08:24 AM - Lukas Zapletal

- Category set to General Foreman

- Target version set to 2.1.0

- Difficulty set to trivial

- Fixed in Releases 2.1.0 added

- Fixed in Releases deleted (2.2.0)

Tomer, I have cherry picked this fix into 2.1-stable. Please release foreman-selinux for the next rc/final.

5ef339a54e241b684c642cd1b730575aa23e6fb0
